POST
/delete-connector-profile
http://appflow.{region}.amazonaws.com/delete-connector-profileEnables you to delete an existing connector profile.
Access Token Required: API Key
Body Params
forceDeleteboolean
Indicates whether Amazon AppFlow should delete the profile, even if it is currently in use in one or more flows.
connectorProfileNamestringrequired
The name of the connector profile. The name is unique for each <code>ConnectorProfile</code> in your account.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://appflow.{region}.amazonaws.com/delete-connector-profile' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}